SoMFShort(3)

NAME
SoMFShort - The SoMFShort class is a container for short integer values.

SYNOPSIS

#include <Inventor/fields/SoMFShort.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFShort & operator= (const SoMFShort &field)
virtual SbBool isSame (const SoField &field) const
short operator[] (const int idx) const
const short * getValues (const int start) const
int find (short value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const short *newvals)
void set1Value (const int idx, short value)
void setValue (short value)
short operator= (short val)
SbBool operator== (const SoMFShort &field) const
SbBool operator!= (const SoMFShort &field) const
short * startEditing (void)
void finishEditing (void)
void setValuesPointer (const int num, const short *userdata)
void setValuesPointer (const int num, short *userdata)

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
short * values

  Additional Inherited Members

Detailed Description

The SoMFShort class is a container for short integer values. This field is used where nodes, engines or other field containers need to store a group of multiple short integer values.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also
    SoSFShort

Member Function Documentation

  void * SoMFShort::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFShort::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFShort::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFShort::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFShort::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFShort::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFShort::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const short * SoMFShort::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFShort::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

Author

Generated automatically by Doxygen for Coin from the source code.